# Generated from wwine-0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wwine

Name: rubygem-%{gem_name}
Version: 0.7
Release: 1%{?dist}
Summary: wwine is a simple wine wrapper
License: GPL-3.0
URL: http://random.zerodogg.org/wwine
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
wwine is a a wine(1) wrapper. It wraps various flavours of wine (including
vanilla wine and crossover) into a single unified interface, complete with
full bottle support for all of them (including vanilla wine).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/. -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/wwine
%{gem_instdir}/.
%license %{gem_instdir}/COPYING
%{gem_instdir}/wwine
%{gem_instdir}/wwine.1
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 0.7-1
- Initial package
